div(ng-include='"components/navbar/navbar.html"')
.container
  .row
    .col-md-12
      h1 Capture
      p Please select the way you wish to capture data:
      //.drop-box(ngf-drop='', ngf-select='', ng-model='files', ngf-drag-over-class='dragover', ngf-multiple='true', ngf-allow-dir='true', accept='text/csv') Drop files here
      div
        button.btn.btn-primary.upload-btn(ngf-select='', ngf-change='upload($files)', ngf-multiple='true', accept="text/csv") 
          span.glyphicon.glyphicon-upload(aria-hidden="true") &nbsp;
          | Upload Files
        = '  '
        a.btn.btn-facebook(ng-if="getCurrentUser().facebook.id", href='', ng-click='loadFacebookSources()')
          i.fa.fa-facebook
          |  Capture from Facebook
        = '  '
        a.btn.btn-google-plus(ng-if="getCurrentUser().google.id", href='', ng-click='loadGoogleSources()')
          i.fa.fa-google-plus
          |  Capture from Google+
        = '  '
        a.btn.btn-twitter(ng-if="getCurrentUser().twitter.id", href='', ng-click='loadTwitterSources()')
          i.fa.fa-twitter
          |  Capture from Twitter
        = '  '
        a.btn.btn-primary.btn-twitter(href='', ng-click='loadSalesforceSources()')
          i.fa.fa-cloud
          |  Capture from Salesforce
        .clearfix(style="margin-bottom: 20px")
      
      //uploads - removed after progress=100%
      .upload(ng-repeat='file in files',ng-controller= 'UploaderCtrl',style="margin-bottom:10px")
        .well(ng-if="!aborted", ng-hide="progressPercentage == 100")
          .pull-right(ng-hide="progressPercentage == 100")
            button.btn.btn-danger.btn-sm(ng-click="abortUpload()") Abort 
          h4.pull-left
            .drag(ng-drag="true" ng-drag-data="file" ng-drag-success="onDragComplete($data,$event)")
              span.glyphicon.glyphicon-file(aria-hidden="true") &nbsp;
              | Uploading: {{file.name}}
          .clearfix
          br
          h5 Type: {{file.type}}
          .row(ng-hide="progressPercentage == 100")
            .col-md-12
              progressbar(max='100', value="progressPercentage")
                span(style='color:white; white-space:nowrap;') {{progressPercentage}}%
      form.form-horizontal
        .form-group
          .col-sm-12
            input#name-search.form-control(type='text', placeholder='Search for a source...', ng-model="search.name")      
      //existing sources
      p.info 
        i.fa.fa-info-circle.text-info
        |  Click on each field to set it as <span class='text-yellow'>identifier</span>. Identifier fields are fields that represents each row of your source. They are used for blending and visualising your sources. Examples of identifier fields are unique identifiers such as email addresses, or unique ID numbers for a product. Fields that represent a number are displayed in <strong class="text-success">green</strong>.
      .existing-source(ng-repeat="source in sources | orderBy:'-created_at' | filter: search", style="margin-bottom:10px", ng-controller='sourceCaptureCtrl')
        .well
          .row
            source-cartouche
          .row
            .col-md-12
              form
                .input-group
                  input.form-control(type='text', placeholder='Name', ng-model='source.name')
                  span.input-group-btn
                    button.btn.btn-default(type='button', ng-click='save(source)') Save
              h4
                | Fields:
                field-status-button(field='field','is-for'='source', ng-repeat="field in source.fields | orderBy: 'position'")
              .clearfix
          .row
            .col-md-12
              h4 
                | Tags:
                span(ng-repeat="tag in source.tags", style="margin-left: 5px")
                  span.label.label-default(ng-repeat="(key,value) in tag", style="background: white;color: black; border: 1px solid #a9a9a9")
                    | {{key}}&nbsp;
                    span.label.label-info {{value}}
                    a.label.label-danger.remove-field(ng-click = "removeTag(tag)" ng-disabled="removing", style="font-weight: lighter; margin-right: -3px; margin-left: 3px;")
                      | x
              form.form-horizontal
                .form-group
                  .col-xs-8
                    .input-group(style="margin-top:5px")
                      span.input-group-addon add a tag
                      input.form-control.form-control-sm(type='text', uib-typeahead='availableType for availableType in availableTypes | filter:$viewValue | limitTo:8', placeholder="tag type", ng-model="newTagType")
                      span.input-group-addon :
                      input.form-control.form-control-sm(type='text', placeholder='tag value', ng-model="newTagValue")
                      span.input-group-btn
                        button.form-control.form-control-sm.btn.btn-default(type='button', ng-click="addTag()") Add


